Summary: Programs for maintaining networked machines' time synchronization.
Name: timed
Version: 0.17
Release: 4mdk
License: BSD
Group: System/Servers
Source: ftp://sunsite.unc.edu/pub/Linux/system/admin/time/netkit-timed-%{version}.tar.bz2
Requires: inetd
Buildroot: %{_tmppath}/%{name}-root
Patch0: netkit-timed-0.17-gcc2.96.patch.bz2
Patch1: timed-0.17-suse-rdos.patch.bz2

%description
The timed package contains the timed daemon and the timedc program
for controlling the timed program.  Timed synchronizes its host
machine's time with the time on other local network machines.  The
timedc program is used to control and configure the operation of
timed.

Install the timed package if you need a system for keeping networked
machines' times in synchronization.

%description -l fr
Installez le paquetage timed si vous avez besoin de synchroniser les horloges
de machines connctes en rseau.

%prep
%setup -q -n netkit-timed-%{version}
%patch0 -p1
%patch1 -p1 -b .rdos

%build
sh configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,8}
make INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/man*/*
%{_sbindir}/*

%changelog
* Sat Nov 10 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.17-4mdk
- fix for remote DoS (see MDKSA-2001:034)

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.17-3mdk
- rebuild

* Wed Nov 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-2mdk
- fix gcc2.96 compilation.

* Sat Aug 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- new shiny version

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.16-3mdk

- BM
- %files list fixes
- some spec file changes

* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 0.16-2mdk
- fixed vendor tag

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.16-1mdk
- 0.16
- fixed groups
- spec-helper

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- fix ifreq size problem.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
